package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("menu_dishes_sale_record")
public class MenuDishesSaleRecord {
   @TableId
   private Long id;
   private Long dishesId;
   private Long stallId;
   private Integer saleNum;
   private Integer monthlySales;
   private Integer saleMonth;
   private Integer evaluateNum;
   private BigDecimal evaluateLevel;
   private BigDecimal goodProbability;
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public Integer getMonthlySales() {
      return this.monthlySales;
   }

   public Integer getSaleMonth() {
      return this.saleMonth;
   }

   public Integer getEvaluateNum() {
      return this.evaluateNum;
   }

   public BigDecimal getEvaluateLevel() {
      return this.evaluateLevel;
   }

   public BigDecimal getGoodProbability() {
      return this.goodProbability;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
   }

   public void setMonthlySales(final Integer monthlySales) {
      this.monthlySales = monthlySales;
   }

   public void setSaleMonth(final Integer saleMonth) {
      this.saleMonth = saleMonth;
   }

   public void setEvaluateNum(final Integer evaluateNum) {
      this.evaluateNum = evaluateNum;
   }

   public void setEvaluateLevel(final BigDecimal evaluateLevel) {
      this.evaluateLevel = evaluateLevel;
   }

   public void setGoodProbability(final BigDecimal goodProbability) {
      this.goodProbability = goodProbability;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

}
